* {
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    box-sizing: border-box;
}

/* Navigation */
nav {
    position: fixed;
    width: 100%;
    height: 60px;
    background-color: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
    z-index: 999;
}
nav .navigation img {
    display: none;
}

nav .navigation ul img {
    display: none;
}

.content .text {
    color: #fff;
    font-size: 1.5rem;
}

.content .text:nth-child(1) {
    color: transparent;
    -webkit-text-stroke: 2px #f5bb4f;
}

.content .text:nth-child(2) {
    display: inline-block;
    background: linear-gradient(90deg, #03a9f4, #f441a5, #ffeb3b, #03a9f4);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: bold;
}

.content .text:nth-child(2) span {
    display: inline-block;
    background: linear-gradient(90deg, #03a9f4, #f441a5, #ffeb3b, #03a9f4);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

@keyframes animate {
    0%,
    100% {
        clip-path: polygon(0% 45%, 16% 44%, 33% 50%, 54% 60%, 70% 61%, 84% 59%, 100% 52%, 100% 100%, 0% 100%);
    }
    50% {
        clip-path: polygon(0% 60%, 15% 65%, 34% 66%, 51% 62%, 67% 50%, 84% 45%, 100% 46%, 100% 100%, 0% 100%);
    }
}

nav .navigation ul {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

nav .navigation ul li {
    list-style: none;
    margin-left: 20px;
}

nav .navigation ul li a {
    text-decoration: none;
    color: rgb(255, 255, 255);
    font-size: 16px;
    font-weight: 500;
    transition: 0.3s ease;
}

nav .navigation ul li a:hover {
    color: #fdc938;
}

/* Section Home */
#home {
    height: 100vh;
    width: 100%;
    padding-top: 20%;
    /* padding-bottom: 10%; */
    background: url("./giphy\ \(2\).gif");
    background-size: cover;
    background-position: center;
    text-align: center;
}

#home h2 {
    color: rgb(236, 222, 24);
    font-size: 3.5rem;
    letter-spacing: 1px;
}

#home p {
    margin-top: 20px;
    color: #fff;
    font-size: 1.5rem;
    font-weight: 300;
    line-height: 25px;
    padding: 0 3em 0 3em;
}

#home .btn {
    margin-top: 30px;
    display: flex;
    justify-content: center;
}
#home .btn-1{
    margin-top: 10px;
    display: flex;
    justify-content: center;
}
#home a {
    text-decoration: none;
    font-size: 1rem;
    padding: 13px 35px;
    /* background-color: #fff; */
  
    font-weight: 600;
    border-radius: 2rem;
    margin: 0 10px;
}
#home a img{
    padding-top: 50px;
}
#home a.blue {
    color: #292961;
    background: linear-gradient(90deg, #03a9f4, #f441a5, #ffeb3b, #03a9f4);
    transition: 0.3s ease;
}

#home a.blue:hover {
    animation: ani 8s linear infinite;
    color: #1e025f;
    background-color: #fff;
}

#home a.yellow {
    color: white;
    background: linear-gradient(90deg, #03a9f4, #f441a5, #ffeb3b, #03a9f4);
    transition: 0.3s ease;
}

#home a.yellow:hover {
    animation: ani 8s linear infinite;
    color: #1e025f;
    background-color: #fff;
}

#home a.yellow:hover::before {
    background: linear-gradient(90deg, #03a9f4, #f441a5, #ffeb3b, #03a9f4);
}

/* skills Services */
#skills {
    padding: 80px 20px;
    background: url("./giphy\ \(2\).gif");
    background-size: cover;
    background-position: center;
    text-align: center;
}

#skills h1 {
    text-transform: uppercase;
    color: aliceblue;
    font-size: 3rem;
    font-weight: 600;
    padding-bottom: 20px;
}

#skills p {
    color: aliceblue;
    font-size: medium;
    font-size: 1.5rem;
    font-weight: 300;
    padding-bottom: 40px;
}

.card-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    justify-items: center;
}

.card {
    position: relative;
    width: 100%;
    height: 250px;
    color: #fff;
    cursor: pointer;
}

.card:hover {
    transform: translateY(-10px);
}

.card::before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: linear-gradient(45deg, #073446, #26023b);
    border-radius: 1.2em;
}

.card::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(45deg, #220b41, #100955);
    filter: blur(30px);
}

.card span {
    position: absolute;
    top: 6px;
    left: 6px;
    right: 6px;
    bottom: 6px;
    background-color: rgba(14, 2, 83, 0.856);
    z-index: 2;
    border-radius: 1em;
}

.card span::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.1);
}

.card .content {
    position: relative;
    padding: 10px;
    z-index: 10;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 800;
    font-size: 2.5em;
}

/* services section */

/* Footer */
footer {
    padding: 40px 20px;
    background:  url("./giphy\ \(2\).gif");
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
}

footer.footer-col {
    padding-bottom: 40px;
}

footer h3 {
    color: rgb(235, 233, 233);
    font-weight: 600;
    padding-bottom: 20px;
}

footer ul {
    list-style: none;
    padding: 0;
}

footer li {
    color: #c6ff2a;
    padding: 10px 0;
    font-size: 15px;
    cursor: pointer;
    transition: 0.3 ease;
}

footer li a {
    text-decoration: none;
    color: #faf9fc;
}

footer li a:hover {
    color: #f5d522;
}

footer li:hover {
    color: rgb(234, 235, 233);
}

footer p {
    color: #a1e256;
}





/* Media Queries */

@media screen and (max-width:900px) {
    #menu-btn {
        display: initial;
        display: flex;
        padding-right: 5px;
        width: 50px;
        height: 50px;
    }
    #menu-close {
        display: initial;
        font-size: 50px;
        width: 50px;
        height: 50px;
        color: #fff;
        padding-top: 5px;
        padding-left: 5px;
    }
    
    nav .navigation ul {
        position: absolute;
        top: 0;
        right: -240px;
        width: 240px;
        height: 100vh;
        background-color: rgba(16, 22, 223, 0.45);
        backdrop-filter: blur(4.5px);
        border: 1px solid rgba(red, green, blue, 0.18);
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        transition: 0.3s ease;
        text-transform: uppercase;
        line-height: 2.5; /* Adjust the line spacing value as needed */
    }
    

    #menu-close {
        display: initial;
        font-size: 10px;
        color: #fff;
        padding-top: 5px;
        padding-left: 5px;
    }
    nav .navigation ul.active{
        right: 0;
    }
    #home .btn {
        margin-top: 30px;
        padding: 20px;
        display: grid;
        justify-content: center;
    }
    
    #home .btn + .btn-1 {
        margin-top: 10px; /* Add spacing between buttons */
    }
    
    #home .btn:nth-child(n+2) {
        margin-top: 20px; /* Add spacing row-wise */
    }
    
    
}

@media screen and (max-width: 700px) {

    nav {
        height: 50px;
    }

    .content .text {
        font-size: 1.2rem;
    }

    #home {
        padding: 60px 20px;
    }

    #home h2 {
        padding-top: 10%;
        font-size: 2rem;
    }

    #home p {
        font-size: 0.9rem;
    }

    #home .btn {
        flex-direction: column;
      
    }
    #home .btn {
        margin-top: 30px;
        padding: 20px;
        display: grid;
        justify-content: center;
    }
    
    #home .btn + .btn {
        margin-top: 10px; /* Add spacing between buttons */
    }
    
    #home .btn:nth-child(n+2) {
        margin-top: 20px; /* Add spacing row-wise */
    }
    

    #skills {
        padding: 60px 20px;
    }

    #skills h1 {
        font-size: 2.5rem;
    }

    #skills p {
        font-size: 1.5rem;
    }

    .card {
        height: 120px;
    }

    footer {
        padding: 20px;
    }

    footer h3 {
        font-size: 1.2rem;
    }

    footer li {
        font-size: 14px;
    }

}

@media screen and (max-width: 400px) {

    #home {
        padding: 40px 20px;
    }

    #home h2 {
        font-size: 1.8rem;
    }

    #home p {
        font-size: 1rem;
    }

    #home .btn {
        margin-top: 20px;
        
        
    }

    #skills {
        padding: 40px 20px;
    }

    #skills h1 {
        font-size: 2rem;
    }

    #skills p {
        font-size: 0.8rem;
    }

    .card {
        height: 100px;
    }

    footer h3 {
        font-size: 1rem;
    }

    footer li {
        font-size: 12px;
    }


}






